"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.stackdriver = void 0;
const logger_context_config_1 = require("../logger-context.config");
const prettyOptions = {
    translateTime: true,
    colorize: true,
};
const loggerOptions = {
    timestamp: process.env.NODE_ENV !== 'production',
    level: process.env.NODE_ENV !== 'production' ? 'trace' : 'info',
    base: {},
    messageKey: 'message',
    formatters: {
        level: () => {
            return { level: 'severity' };
        },
    },
    prettyPrint: process.env.NODE_ENV !== 'production' ? prettyOptions : false,
};
exports.stackdriver = {
    logFieldNames: {
        context: 'context',
        labels: 'labels',
        trace: 'trace',
    },
    loggerOptions,
    context: logger_context_config_1.loggerContextConfig,
};
